using System;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using Microsoft.SqlServer.Server;

public partial class UserDefinedFunctions
{
   [Microsoft.SqlServer.Server.SqlFunction]
   public static SqlString NameDisplay(
      SqlString firstName,
      SqlString lastName,
      SqlString middleInitial)
   {
      // mamy dostęp do obiektu StringBuilder, znacznie lepszego
      // sposobu na łączenie ciągów znakowych, niż ich dodawanie
      StringBuilder sb = new StringBuilder();
      sb.AppendFormat("{0}, {1} {2}",
         lastName, firstName, middleInitial);
      return new SqlString(sb.ToString());
   }
};
